Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-07-2015 19:24:53

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

[Résolu] Problème installation pepperflashplugin-nonfree

Bonjour,

Je suis sur Debian 8 jessie stable est j'utilise Iceweasel comme navigateur.

J'aimerais installer flash.
Direction notre wiki: https://debian-facile.org/doc:media:flash

Qui me dit de saisir les commandes suivantes:

su
apt-get install build-essential git cmake pkg-config libglib2.0-dev libasound2-dev libx11-dev libgl1-mesa-dev liburiparser-dev libcairo2-dev libpango1.0-dev libpangocairo-1.0-0 libpangoft2-1.0-0 libfreetype6-dev libgtk2.0-dev libxinerama-dev libconfig-dev libevent-dev libegl1-mesa-dev libgles2-mesa-dev ragel libssl-dev
cd
git clone https://github.com/i-rinat/freshplayerplugin.git
cd freshplayerplugin
mkdir build
cd build
cmake ..
make




Au moment du cmake .. j'ai ce retour du terminal:

slyfox@pb-debian:~/freshplayerplugin/build$ cmake ..
-- checking for optional dependencies
--   no libpulse found (optional)
--   no jack found (optional)
-- checking for modules 'libavcodec;libavutil;libva;libva-x11;vdpau'
--   package 'libavcodec' not found
--   package 'libavutil' not found
--   package 'libva' not found
--   package 'libva-x11' not found
--   package 'vdpau' not found
CMake Error at /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:341 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:395 (_pkg_check_modules_internal)
  CMakeLists.txt:114 (pkg_check_modules)


-- Performing Test HAVE_AVPixelFormat
-- Performing Test HAVE_AVPixelFormat - Failed
-- Performing Test HAVE_AV_PIX_FMT_VDPAU
-- Performing Test HAVE_AV_PIX_FMT_VDPAU - Failed
-- Performing Test HAVE_AVCodecID
-- Performing Test HAVE_AVCodecID - Failed
-- Performing Test HAVE_AVCodecContext_get_buffer2
-- Performing Test HAVE_AVCodecContext_get_buffer2 - Failed
-- Performing Test HAVE_AVVDPAUContext
-- Performing Test HAVE_AVVDPAUContext - Failed
-- Looking for av_frame_alloc
-- Looking for av_frame_alloc - not found
-- Looking for av_frame_free
-- Looking for av_frame_free - not found
-- Looking for avcodec_free_context
-- Looking for avcodec_free_context - not found
-- checking for module 'libv4l2'
--   package 'libv4l2' not found
CMake Error at /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:341 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:395 (_pkg_check_modules_internal)
  CMakeLists.txt:126 (pkg_check_modules)


-- Configuring incomplete, errors occurred!
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeOutput.log".
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeError.log".



Il semble que problème vienne du fait que le paquet libv4l2 n'est pas installer.

Je tente une installation du paquet.

slyfox@pb-debian:~$ sudo apt-get install libv4l2
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libv4l2



Bon ça ne marche pas. sad

Je recherche un paquet équivalent et je fais une recherche dans ma base de donnée.

Voici ce que je trouve:

libv4l-0        libv4l2rds0     libv4lconvert0  libv4l-dev



Je tente d'installer libv4l-0

slyfox@pb-debian:~$ sudo apt-get install libv4l-0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libv4l-0 est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 19 non mis à jour.

Dernière modification par Slyfox (03-07-2015 21:18:51)

Hors ligne

#2 02-07-2015 19:35:47

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

Tant qu'a faire j'ai installer "libv4l-dev et libv4l-0".


sudo apt-get install libv4l-dev libv4l-0
 



je retente un cmake ..

slyfox@pb-debian:~/freshplayerplugin/build$ cmake ..
-- checking for optional dependencies
--   no libpulse found (optional)
--   no jack found (optional)
-- checking for modules 'libavcodec;libavutil;libva;libva-x11;vdpau'
--   package 'libavcodec' not found
--   package 'libavutil' not found
--   package 'libva' not found
--   package 'libva-x11' not found
--   package 'vdpau' not found
CMake Error at /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:341 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:395 (_pkg_check_modules_internal)
  CMakeLists.txt:114 (pkg_check_modules)


-- Performing Test HAVE_AVPixelFormat
-- Performing Test HAVE_AVPixelFormat - Failed
-- Performing Test HAVE_AV_PIX_FMT_VDPAU
-- Performing Test HAVE_AV_PIX_FMT_VDPAU - Failed
-- Performing Test HAVE_AVCodecID
-- Performing Test HAVE_AVCodecID - Failed
-- Performing Test HAVE_AVCodecContext_get_buffer2
-- Performing Test HAVE_AVCodecContext_get_buffer2 - Failed
-- Performing Test HAVE_AVVDPAUContext
-- Performing Test HAVE_AVVDPAUContext - Failed
-- Looking for av_frame_alloc
-- Looking for av_frame_alloc - not found
-- Looking for av_frame_free
-- Looking for av_frame_free - not found
-- Looking for avcodec_free_context
-- Looking for avcodec_free_context - not found
-- Configuring incomplete, errors occurred!
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeOutput.log".
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeError.log".



Mieux, mais toujours pas bon. sad

Dernière modification par Slyfox (02-07-2015 19:41:13)

Hors ligne

#3 03-07-2015 08:29:28

totophe56
Membre
Distrib. : Jessie 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 22-07-2010

Re : [Résolu] Problème installation pepperflashplugin-nonfree

salut Slyfox

pour lere les flux Flash, peut-être serait-il plus Facile de passer par pipelight ?
http://pipelight.net/cms/install/instal … ebian.html

Hors ligne

#4 03-07-2015 11:22:15

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] Problème installation pepperflashplugin-nonfree

Salut,
A priori, il te manque cette lib : libavcodec-dev, et peut-être aussi libavformat-dev voire libavfilter-dev.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#5 03-07-2015 19:31:39

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

captnfab a écrit :

Salut,
A priori, il te manque cette lib : libavcodec-dev, et peut-être aussi libavformat-dev voire libavfilter-dev.



Salut captnfab smile

J'ai fait comme conseillé:


sudo apt-get install libavcodec-dev libavformat-dev libavfilter-dev
 



Voilà le retour:

slyfox@pb-debian:~/freshplayerplugin/build$ cmake ..
-- checking for optional dependencies
--   no libpulse found (optional)
--   no jack found (optional)
-- checking for modules 'libavcodec;libavutil;libva;libva-x11;vdpau'
--   package 'libva' not found
--   package 'libva-x11' not found
--   package 'vdpau' not found

CMake Error at /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:341 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:395 (_pkg_check_modules_internal)
  CMakeLists.txt:114 (pkg_check_modules)


-- Performing Test HAVE_AVPixelFormat
-- Performing Test HAVE_AVPixelFormat - Success
-- Performing Test HAVE_AV_PIX_FMT_VDPAU
-- Performing Test HAVE_AV_PIX_FMT_VDPAU - Success
-- Performing Test HAVE_AVCodecID
-- Performing Test HAVE_AVCodecID - Success
-- Performing Test HAVE_AVCodecContext_get_buffer2
-- Performing Test HAVE_AVCodecContext_get_buffer2 - Success
-- Performing Test HAVE_AVVDPAUContext
-- Performing Test HAVE_AVVDPAUContext - Failed
-- Looking for av_frame_alloc
-- Looking for av_frame_alloc - not found
-- Looking for av_frame_free
-- Looking for av_frame_free - not found
-- Looking for avcodec_free_context
-- Looking for avcodec_free_context - not found
-- Configuring incomplete, errors occurred!
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeOutput.log".
See also "/home/slyfox/freshplayerplugin/build/CMakeFiles/CMakeError.log".



Apparemment, il me manque encore des paquets. hmm

Dernière modification par Slyfox (03-07-2015 22:20:03)

Hors ligne

#6 03-07-2015 19:37:33

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

J'ai tenté l'installation des paquets manquants.


sudo apt-get install libva libva-x11 vdpau
 



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libva
E: Impossible de trouver le paquet libva-x11
E: Impossible de trouver le paquet vdpau



Pas très convaincant.  sad

totophe56 a écrit :

salut Slyfox

pour lere les flux Flash, peut-être serait-il plus Facile de passer par pipelight ?
http://pipelight.net/cms/install/instal … ebian.html



Salut totophe56 smile

Ta proposition me semble une bonne alternative, mais avant je vais essayé de résoudre ce problème, cela pourrait aider peut-être d'autres utilisateurs. wink
Merci pour l'idée.

Dernière modification par Slyfox (03-07-2015 22:19:27)

Hors ligne

#7 03-07-2015 20:08:08

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] Problème installation pepperflashplugin-nonfree

Tu as installé libva-dev et libvdpau-dev ?

Je vois qu'il y a du mieux pour les tests en HAVE_AV, mais il en manque encore quelque uns.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 03-07-2015 20:41:48

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

captnfab a écrit :

Tu as installé libva-dev et libvdpau-dev ?

Je vois qu'il y a du mieux pour les tests en HAVE_AV, mais il en manque encore quelque uns.



YES !!! Bien vu, cette fois-ci c'est OK ! cool

Il manquait encore les paquets libva-dev et libvdpau-dev.

Au final, il faudrait faire ainsi pour installer freshplayerplugin sur Debian 8 jessie stable (pas testé sur d'autre version)

su
apt-get update
apt-get install build-essential git cmake pkg-config libglib2.0-dev libasound2-dev libx11-dev libgl1-mesa-dev liburiparser-dev libcairo2-dev libpango1.0-dev libpangocairo-1.0-0 libpangoft2-1.0-0 libfreetype6-dev libgtk2.0-dev libxinerama-dev libconfig-dev libevent-dev libegl1-mesa-dev libgles2-mesa-dev ragel libssl-dev libva-dev libvdpau-dev libavcodec-dev libavformat-dev libavfilter-dev libv4l-dev libv4l-0 pepperflashplugin-nonfree
exit
 



cd
git clone https://github.com/i-rinat/freshplayerplugin.git
cd freshplayerplugin
mkdir build
cd build
cmake ..
make
 



su
cp libfreshwrapper-pepperflash.so /usr/lib/mozilla/plugins/



Peut-être qu'il faudrait modifié le wiki avec cette méthode ? Si oui je me propose pour le faire.

Avant que j'oublie... Merci pour votre aide !

Dernière modification par Slyfox (03-07-2015 20:56:13)

Hors ligne

#9 03-07-2015 20:55:50

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] Problème installation pepperflashplugin-nonfree

Donc, rajouter libavcodec-dev libavformat-dev libavfilter-dev libva-dev et libvdpau-dev ? Pas besoin de libavutil-dev ?

Et attention, tu as tout fait en root, c'est dommage.

Normalement (avec un retour à la ligne pour les limitter à 80 caractères, le
copier-coller marche qd même parce que le shell comprend le « \ ») :

apt-get update
apt-get install build-essential git cmake pkg-config libglib2.0-dev \
libasound2-dev libx11-dev libgl1-mesa-dev liburiparser-dev libcairo2-dev \
libpango1.0-dev libpangocairo-1.0-0 libpangoft2-1.0-0 libfreetype6-dev \
libgtk2.0-dev libxinerama-dev libconfig-dev libevent-dev libegl1-mesa-dev \
libgles2-mesa-dev ragel libssl-dev libva-dev libvdpau-dev libavcodec-dev \
libavformat-dev libavfilter-dev libv4l-dev libv4l-0


cd
git clone https://github.com/i-rinat/freshplayerplugin.git
cd freshplayerplugin
mkdir build
cd build
cmake ..
make


cp libfreshwrapper-pepperflash.so /usr/lib/mozilla/plugins/



Et, oui, tu peux améliorer le wiki en y rajoutant tes corrections smile


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#10 03-07-2015 20:59:47

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

captnfab a écrit :

Et attention, tu as tout fait en root, c'est dommage.



Oui, j'ai vu. Je faisais la correction au moment que tu devais poster. big_smile

Ok je modifie le wiki...

Dernière modification par Slyfox (03-07-2015 21:00:04)

Hors ligne

#11 03-07-2015 21:02:11

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] Problème installation pepperflashplugin-nonfree

Ah, oui, cool smile
Par contre, le « su » est fait en user, pas en root wink

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#12 03-07-2015 21:18:03

Slyfox
Membre
Lieu : Pays du chocolat
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : [Résolu] Problème installation pepperflashplugin-nonfree

captnfab a écrit :

Ah, oui, cool smile
Par contre, le « su » est fait en user, pas en root wink



Autant pour moi, c'est vrai que c'est plus logique.

Sinon, j'ai modifié le Wiki.

Hulahup barbatruc! Une bonne chose de faite! big_smile

Je passe le sujet en résolu, merci encore pour l'aide.

Hors ligne

Pied de page des forums